# TCScript
Version 0.9.1

## Installation

1.  Drag TCScript to your Applications folder.
2.  Open it.[^1]
3.  Click Install Scripts.

## Dependencies

### QuickTime Player 7
Make sure you have QuickTime Player 7 installed: [http://support.apple.com/downloads/\#quicktime](http://support.apple.com/downloads/#quicktime).

### Text Editor
You need a text editor to work with TCScript. Anything is fine –  Sublime Text, BBEdit, TextWrangler, ByWord,  TextEdit, etc. Transcripts are simple UTF-8 plain text documents and not dependent on any specific software.

### Satimage osax
If you intend to use TCScript with .wav files that include BWF timecode metadata, you need to install the free Satimage osax (scripting addition). Download the installer [here](http://www.satimage.fr/software/en/downloads/downloads_companion_osaxen.html).  On OSX 10.8 and later you may have to circumvent Gate Keeper by right clicking the installer to open it. 

## Keyboard Shortcuts

TCScript consists of 13 simple AppleScripts. By default they are installed (as aliases) at `~/Library/Scripts/` and `~/Library/Scripts/Applications/QuickTime Player 7/`. Use [FastScripts](www.red-sweater.com/fastscripts) or a similar app (QuickSilver, LaunchBar, Alfred, etc.) to set up keyboard shortcuts. Here is a list of scripts and suggested keyboard shortcuts.

-   \< Backward 2s \< t: Step media back by 2 seconds; `ctrl-alt-J`
-   \< Backward 6s \<: Step media back by 6 seconds; `ctrl-alt-H`
-   \< Stop \>: Stop media; `ctrl-alt-K`
-   Forward 2s, Play \>: Play or step forward by 2 seconds; `ctrl-alt-L`

-   Forward 6s \>: Step media forward by 6 seconds; `ctrl-alt-;`

-   Insert Timecode Marker: Inserts a marker with the current time as a markdown formatted link in the document. Clicking on this link (in a markdown preview, for example) will open the associated media an jump to the timecode indicated. Timecode tracks and BWF-metadata are honoured. To make this script work in any application, it internally uses copy-paste. Suggested shortcut: `ctrl-alt-M`
-   Select All: `ctrl-alt-A`
-   Select Behind: `ctrl-alt-B`
-   Select None: `ctrl-alt-N`
-   Set In: `ctrl-alt-I`
-   Set out: `ctrl-alt-O`
-   Slow Motion: `ctrl-alt-S`

Open|Create Transcript (\~/Library/Scripts/Applications/QuickTime Player 7): `ctrl-alt-cmd-O`.

## Usage

1.  Open a video or audio file in QuickTime Player 7. Make sure it has a file unique name.
2.  Run `Open|Create Transcript` to open or start a transcript for this video. New transcripts are created in the same folder as the media file, but can be moved anywhere. As long as the name of the movie and the name of the transcript match, TCScript will match the two.
3.  Move around the media file with the keyboard shortcuts, insert timecode markers, transcribe.
4.  Click on markers to jump to the media file.

### Qualitative research

Consider adding \#hashtags to “sections” of the transcript. Have a look at [tagh](http:www.github.com/xaxam/tagh) to work with codes.

## Licence

Copyright (c) 2006-2013 Martin Saxer, http://www.martinsaxer.com

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the “Software”), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

[^1]: You may need to circumvent Gatekeeper by using right-click open. I am not an Apple-certified developer and thus Gatekeeper is (rightfully) sceptical of TCScript the first time it is launched.